Evince-3.36.7

Introduction to Evince

Evince is a document viewer for multiple document formats. It supports PDF, Postscript, DjVu, TIFF and DVI. It is useful for viewing documents of various types using one simple application instead of the multiple document viewers that once existed on the GNOME Desktop.

This package is known to build and work properly using an LFS-10.0 platform.

Package Information

Evince Dependencies

Required

adwaita-icon-theme-3.36.1, gsettings-desktop-schemas-3.36.1, GTK+-3.24.23, itstool-2.0.6, libxml2-2.9.10, and OpenJPEG-2.3.1

Recommended

Optional

Cups-2.3.3 (to enable printing if support is built into GTK+ 3), gnome-desktop-3.36.6, gspell-1.8.4, gst-plugins-base-1.18.0, GTK-Doc-1.32, libgxps-0.3.1, LibTIFF-4.1.0, texlive-20200406 (or install-tl-unx), DjVuLibre, libspectre, Synctex, and t1lib

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/evince

Installation of Evince

Install Evince by running the following commands:

mkdir build &&
cd    build &&

meson --prefix=/usr -Dgtk_doc=false .. &&
ninja

This package does not have a working testsuite.

Now, as the root user:

ninja install
[Note]

Note

If you installed the package to your system using a DESTDIR method, /usr/share/glib-2.0/schemas/gschemas.compiled was not updated/created. Create (or update) the file using the following command as the root user:

glib-compile-schemas /usr/share/glib-2.0/schemas

Command Explanations

-Dgtk_doc=false: This switch disables generating the gtk-doc API reference documentation. If you have GTK-Doc-1.32 installed and wish to generate the API reference documentation, remove this switch.

-Dgspell=false: This switch turns off support for the spell checking plugin.

-Dintrospection=false: Use this option if you don't have gobject-introspection-1.66.0 installed and don't wish to have introspection support built into Evince.

-Dnautilus=false: This switch disables building the Nautilus Plugin. Use this switch if Nautilus is not installed.

-Dkeyring=false: This switch disables the use of libsecret. Use this switch if libsecret is not installed.

Contents

Installed Programs: evince, evince-previewer, and evince-thumbnailer
Installed Libraries: libevdocument3.so, libevview3.so, and /usr/lib/nautilus/extensions-3.0/libevince-properties-page.so
Installed Directories: /usr/{include,lib,share}/evince, /usr/share/gtk-doc/html/{evince,libevdocument-3.0,libevview-3.0}, and /usr/share/help/*/evince

Short Descriptions

evince

is a multiple format document viewer.

evince-previewer

is an applicaton that implements the printing previewer.

evince-thumbnailer

is a simple program used to create thumbnail images of supported documents.

Last updated on 2020-08-21 06:11:43 -0500